24

December
2018

Slax 9.6.5 released

Christmas is coming, so here is a gift for all fans - a new Slax release :)

Most importantly, this version adds long-requested feature - udev rules to automount plugged-in disk drives, so they appear in pcmanfm file manager without the need to mount them manually.

Furthermore, all packages were updated to their newest versions, and few small bugs were fixed.

Happy holidays :)

User comments
ryan_fu 2018-12-24 01:42

Merry Christmas, Slaxer!

Vladimir Ralić 2018-12-24 08:05

Thank you for the new release and Merry Christmas!

Nicolae Crefelean 2018-12-24 10:34

Thanks, Tomas! :D Merry Christmas! o/

Григорий Котовский 2018-12-24 11:51

With respect from Ukraine. Thank you and Merry Christmas!

Wijnand 2018-12-24 13:14

Thanks and happy holidays too.

backi 2018-12-24 13:45

Thanks a lot for new Release ......wish you a merry Christmas and a happy New Year !
Greetings from Germany !

stas 2018-12-24 19:32

)

Antonio Carlos 2018-12-24 20:14

Thanks a lot ! Merry Christmas !

Antonio Carlos 2018-12-24 20:16

Hey team !

Where can I find more support information about SLAX ?

My sound card is not being detected properly. I could fix that in VLC, selecting it manually in the audio list. However the overall system is on mute, including Chromium, YouTube, etc.

Thanks !

Lukas Veselovsky 2018-12-24 21:15

Hi Thomas, thanks for best live distribution and for good documentation. I think there are lot of concepts of howto create linux distro but love think of slax modularity.

I have cheap laptop asus vivobook, who need EFI loaderfor run linux. I prefer syslinux, not grub, in grub you must have EFI, BOOT, SLAX folder and for syslinux only two EFI and SLAX. Here are my config https://uloz.to/!QNW6AxH067V7/efi-zip

Jack Carpenter 2018-12-25 04:36

Hi Thomas,

Merry Christmas and a Happy New Year. My question can I install Slax in ext4 format? I haven't use Slax for a long time.

Thanks
Jack

Jack Carpenter 2018-12-25 05:37

Hi Thomas or anyone,

Forget about ext4 because it works. I try to setup WiFi I enter the key but when I try to connect to WiFi it tell me it not connect. What could be the problem?

I like how it looks so Thomas you did a good job.

Thanks
Jack

Ceel 2018-12-26 09:05

Hi Tomas

Thanks for this new update.

I run Slax on an old computer with only 256 MB RAM and I'm interested to install and remove modules on the fly. I followed the instructions of the Internals documentation but I'm stuck on this point: what's the mounting point to use for the remount command. Invariably I get the message "mount: mount point /xyz does not exist". Sure, I miss something.

Thanks in advance.

P.S.: Adding the cheatcode noload=chromium (not mentioned in the Start documentation) prevents the chromium module to be loaded at boot; but unlike to some other distributions it doesn't work for several modules (ie: noload=firmware;chromium has no effect).

P.S.2: I saw this morning there is another "Activating modules on the fly" section in the Customize documentation. I'll give it a look this evening.

shevy 2018-12-26 15:58

Hey Tomas, is it possible to see the actual package-list of the latest release? I think it is viewable somewhere but I never remember from where.

Jack Carpenter 2018-12-26 17:34

Here you go shevy.

Full Package List: Slax 9.6.5
Number of packages: 533
-------------------------
• acpid 1:2.0.28-1+b1
• acpi-support-base 0.142-8
• adduser 3.115
• alsa-utils 1.1.3-1
• apt 1.4.8
• apt-utils 1.4.8
• b43-fwcutter 1:019-3
• base-files 9.9+deb9u6
• base-passwd 3.5.43
• bash 4.4-5
• blackbox 0.70.1-34
• breeze-cursor-theme 4:5.8.5-2
• bsdmainutils 9.0.12+nmu1
• bsdutils 1:2.29.2-1+deb9u1
• busybox 1:1.22.0-19+b3
• bzip2 1.0.6-8.1
• ca-certificates 20161130+nmu1+deb9u1
• chromium 71.0.3578.80-1~deb9u1
• compton 0.1~beta2+20150922-1
• console-setup 1.164
• console-setup-linux 1.164
• coreutils 8.26-3
• cpio 2.11+dfsg-6
• cron 3.0pl1-128+deb9u1
• dash 0.5.8-2.4
• dbus 1.10.26-0+deb9u1
• debconf 1.5.61
• debian-archive-keyring 2017.5
• debianutils 4.8.1.1
• diffutils 1:3.5-3
• discover 2.1.2-7.1+deb9u1
• discover-data 2.2013.01.11
• dmidecode 3.0-4
• dmsetup 2:1.02.137-2
• dnsmasq 2.76-5+deb9u2
• dnsmasq-base 2.76-5+deb9u2
• dosfstools 4.1-1
• dpkg 1.18.25
• dvd+rw-tools 7.1-11.1
• e2fslibs:amd64 1.43.4-2
• e2fsprogs 1.43.4-2
• eject 2.1.5+deb1+cvs20081104-13.2
• feh 2.18-2
• file 1:5.30-1+deb9u2
• findutils 4.6.0+git+20161106-2
• firmware-amd-graphics 20161130-4
• firmware-atheros 20161130-4
• firmware-b43-installer 1:019-3
• firmware-bnx2 20161130-4
• firmware-brcm80211 20161130-4
• firmware-cavium 20161130-4
• firmware-ipw2x00 20161130-4
• firmware-iwlwifi 20161130-4
• firmware-libertas 20161130-4
• firmware-linux-free 3.4
• firmware-linux-nonfree 20161130-4
• firmware-misc-nonfree 20161130-4
• firmware-realtek 20161130-4
• firmware-ti-connectivity 20161130-4
• firmware-zd1211 1:1.5-4
• fluxbox 1.3.5-2+b2
• fontconfig 2.11.0-6.7+b1
• fontconfig-config 2.11.0-6.7
• fonts-dejavu-core 2.37-1
• fuse 2.9.7-1+deb9u2
• gcc-6-base:amd64 6.3.0-18+deb9u1
• gconf2-common 3.2.6-4
• gddrescue 1.21-1
• genisoimage 9:1.1.11-3+b2
• gettext-base 0.19.8.1-2
• giblib1:amd64 1.2.4-11
• gir1.2-glib-2.0:amd64 1.50.0-1+b1
• gnome-icon-theme 3.12.0-2
• gnupg 2.1.18-8~deb9u3
• gnupg-agent 2.1.18-8~deb9u3
• gpart 1:0.3-3
• gpgv 2.1.18-8~deb9u3
• gpm 1.20.4-6.2+b1
• grep 2.27-2
• groff-base 1.22.3-9
• growisofs 7.1-11.1
• gtk2-engines-murrine:amd64 0.98.1.1-6
• gtk-update-icon-cache 3.22.11-1
• gzip 1.6-5+b1
• hdparm 9.51+ds-1+deb9u1
• hicolor-icon-theme 0.15-1
• hostname 3.18+b1
• htop 2.0.2-1
• ifupdown 0.8.19
• init 1.48
• initramfs-tools 0.130
• initramfs-tools-core 0.130
• init-system-helpers 1.48
• iproute2 4.9.0-1+deb9u1
• iptables 1.6.0+snapshot20161117-6
• iputils-ping 3:20161105-1
• isc-dhcp-client 4.3.5-3+deb9u1
• isc-dhcp-common 4.3.5-3+deb9u1
• kbd 2.0.3-2+b1
• keyboard-configuration 1.164
• klibc-utils 2.0.4-9
• kmod 23-2
• laptop-detect 0.13.8
• leafpad 0.8.18.1-5
• less 481-2.1
• libacl1:amd64 2.2.52-3+b1
• libapparmor1:amd64 2.11.0-3+deb9u2
• libapt-inst2.0:amd64 1.4.8
• libapt-pkg5.0:amd64 1.4.8
• libasound2:amd64 1.1.3-5
• libasound2-data 1.1.3-5
• libassuan0:amd64 2.4.3-2
• libasyncns0:amd64 0.8-6
• libatk1.0-0:amd64 2.22.0-1
• libatk1.0-data 2.22.0-1
• libatomic1:amd64 6.3.0-18+deb9u1
• libatspi2.0-0:amd64 2.22.0-6+deb9u1
• libattr1:amd64 1:2.4.47-2+b2
• libaudit1:amd64 1:2.6.7-2
• libaudit-common 1:2.6.7-2
• libavahi-client3:amd64 0.6.32-2
• libavahi-common3:amd64 0.6.32-2
• libavahi-common-data:amd64 0.6.32-2
• libavcodec57:amd64 7:3.2.12-1~deb9u1
• libavformat57:amd64 7:3.2.12-1~deb9u1
• libavutil55:amd64 7:3.2.12-1~deb9u1
• libblas3 3.7.0-2
• libblas-common 3.7.0-2
• libblkid1:amd64 2.29.2-1+deb9u1
• libbluray1:amd64 1:0.9.3-3
• libbsd0:amd64 0.8.3-1
• libbt0v5:amd64 0.70.1-34
• libbz2-1.0:amd64 1.0.6-8.1
• libc6:amd64 2.24-11+deb9u3
• libcairo2:amd64 1.14.8-1
• libcap2:amd64 1:2.25-1
• libcap-ng0:amd64 0.7.7-3+b1
• libc-bin 2.24-11+deb9u3
• libchromaprint1:amd64 1.4.2-1
• libc-l10n 2.24-11+deb9u3
• libcln6 1.3.4-2+b1
• libcomerr2:amd64 1.43.4-2
• libconfig9:amd64 1.5-0.3
• libcroco3:amd64 0.6.11-3
• libcryptsetup4:amd64 2:1.7.3-4
• libcrystalhd3:amd64 1:0.0~git20110715.fdd2f19-12
• libcups2:amd64 2.2.1-8+deb9u2
• libcurl3:amd64 7.52.1-5+deb9u8
• libdatrie1:amd64 0.2.10-4+b1
• libdb5.3:amd64 5.3.28-12+deb9u1
• libdbus-1-3:amd64 1.10.26-0+deb9u1
• libdbus-glib-1-2:amd64 0.108-2
• libdebconfclient0:amd64 0.227
• libdevmapper1.02.1:amd64 2:1.02.137-2
• libdiscover2 2.1.2-7.1+deb9u1
• libdns-export162 1:9.10.3.dfsg.P4-12.3+deb9u4
• libdrm2:amd64 2.4.74-1
• libdrm-amdgpu1:amd64 2.4.74-1
• libdrm-intel1:amd64 2.4.74-1
• libdrm-nouveau2:amd64 2.4.74-1
• libdrm-radeon1:amd64 2.4.74-1
• libedit2:amd64 3.1-20160903-3
• libegl1-mesa:amd64 13.0.6-1+b2
• libelf1:amd64 0.168-1
• libepoxy0:amd64 1.3.1-2
• libestr0 0.1.10-2
• libevdev2:amd64 1.5.6+dfsg-1
• libevent-2.0-5:amd64 2.0.21-stable-3
• libexif12:amd64 0.6.21-2+b2
• libexpat1:amd64 2.2.0-2+deb9u1
• libfastjson4:amd64 0.99.4-1
• libfdisk1:amd64 2.29.2-1+deb9u1
• libffi6:amd64 3.2.1-6
• libfftw3-single3:amd64 3.3.5-3
• libflac8:amd64 1.3.2-1
• libfm4:amd64 1.2.5-1
• libfm-data 1.2.5-1
• libfm-extra4:amd64 1.2.5-1
• libfm-gtk4:amd64 1.2.5-1
• libfm-gtk-data 1.2.5-1
• libfontconfig1:amd64 2.11.0-6.7+b1
• libfontenc1:amd64 1:1.1.3-1+b2
• libfreetype6:amd64 2.6.3-3.2
• libfribidi0:amd64 0.19.7-1+b1
• libfuse2:amd64 2.9.7-1+deb9u2
• libgbm1:amd64 13.0.6-1+b2
• libgcc1:amd64 1:6.3.0-18+deb9u1
• libgconf-2-4:amd64 3.2.6-4+b1
• libgcrypt20:amd64 1.7.6-2+deb9u3
• libgdbm3:amd64 1.8.3-14
• libgdk-pixbuf2.0-0:amd64 2.36.5-2+deb9u2
• libgdk-pixbuf2.0-common 2.36.5-2+deb9u2
• libgfortran3:amd64 6.3.0-18+deb9u1
• libgif7:amd64 5.1.4-0.4
• libgirepository-1.0-1:amd64 1.50.0-1+b1
• libgl1-mesa-dri:amd64 13.0.6-1+b2
• libgl1-mesa-glx:amd64 13.0.6-1+b2
• libglade2-0:amd64 1:2.6.4-2
• libglapi-mesa:amd64 13.0.6-1+b2
• libglib2.0-0:amd64 2.50.3-2
• libglu1-mesa:amd64 9.0.0-2.1
• libgme0:amd64 0.6.0-4
• libgmp10:amd64 2:6.1.2+dfsg-1
• libgnutls30:amd64 3.5.8-5+deb9u4
• libgomp1:amd64 6.3.0-18+deb9u1
• libgpg-error0:amd64 1.26-2
• libgpm2:amd64 1.20.4-6.2+b1
• libgraphite2-3:amd64 1.3.10-1
• libgsm1:amd64 1.0.13-4+b2
• libgssapi-krb5-2:amd64 1.15-1+deb9u1
• libgtk2.0-0:amd64 2.24.31-2
• libgtk2.0-common 2.24.31-2
• libgudev-1.0-0:amd64 230-3
• libharfbuzz0b:amd64 1.4.2-1
• libhogweed4:amd64 3.3-1+b2
• libice6:amd64 2:1.0.9-2
• libicu57:amd64 57.1-6+deb9u2
• libid3tag0:amd64 0.15.1b-12
• libidn11:amd64 1.33-1
• libidn2-0:amd64 0.16-1+deb9u1
• libimlib2:amd64 1.4.8-1
• libinput10:amd64 1.6.3-1
• libinput-bin 1.6.3-1
• libip4tc0:amd64 1.6.0+snapshot20161117-6
• libip6tc0:amd64 1.6.0+snapshot20161117-6
• libiptc0:amd64 1.6.0+snapshot20161117-6
• libisc-export160 1:9.10.3.dfsg.P4-12.3+deb9u4
• libiw30:amd64 30~pre9-12+b1
• libjbig0:amd64 2.1-3.1+b2
• libjpeg62-turbo:amd64 1:1.5.1-2
• libk5crypto3:amd64 1.15-1+deb9u1
• libkeyutils1:amd64 1.5.9-9
• libklibc 2.0.4-9
• libkmod2:amd64 23-2
• libkrb5-3:amd64 1.15-1+deb9u1
• libkrb5support0:amd64 1.15-1+deb9u1
• libksba8:amd64 1.3.5-2
• liblapack3 3.7.0-2
• libldap-2.4-2:amd64 2.4.44+dfsg-5+deb9u2
• libldap-common 2.4.44+dfsg-5+deb9u2
• libllvm3.9:amd64 1:3.9.1-9
• liblocale-gettext-perl 1.07-3+b1
• liblogging-stdlog0:amd64 1.0.5-2+b2
• liblognorm5:amd64 2.0.1-1.1+b1
• liblz4-1:amd64 0.0~r131-2+b1
• liblzma5:amd64 5.2.2-1.2+b1
• liblzo2-2:amd64 2.08-1.2+b2
• libmagic1:amd64 1:5.30-1+deb9u2
• libmagic-mgc 1:5.30-1+deb9u2
• libmenu-cache3:amd64 1.0.2-3
• libmenu-cache-bin 1.0.2-3
• libminizip1:amd64 1.1-8+b1
• libmnl0:amd64 1.0.4-2
• libmount1:amd64 2.29.2-1+deb9u1
• libmp3lame0:amd64 3.99.5+repack1-9+b2
• libmpg123-0:amd64 1.23.8-1+b1
• libmtdev1:amd64 1.1.5-1+b1
• libncurses5:amd64 6.0+20161126-1+deb9u2
• libncursesw5:amd64 6.0+20161126-1+deb9u2
• libnetfilter-conntrack3:amd64 1.0.6-2
• libnettle6:amd64 3.3-1+b2
• libnewt0.52:amd64 0.52.19-1+b1
• libnfnetlink0:amd64 1.0.1-3
• libnghttp2-14:amd64 1.18.1-1
• libnl-3-200:amd64 3.2.27-2
• libnl-genl-3-200:amd64 3.2.27-2
• libnotify4:amd64 0.7.7-2
• libnpth0:amd64 1.3-1
• libnspr4:amd64 2:4.12-6
• libnss3:amd64 2:3.26.2-1.1+deb9u1
• libntfs-3g871 1:2016.2.22AR.1+dfsg-1
• libnuma1:amd64 2.0.11-2.1
• libogg0:amd64 1.3.2-1
• libopenjp2-7:amd64 2.1.2-1.1+deb9u2
• libopenmpt0:amd64 0.2.7386~beta20.3-3+deb9u3
• libopus0:amd64 1.2~alpha2-1
• libp11-kit0:amd64 0.23.3-2
• libpam0g:amd64 1.1.8-3.6
• libpam-modules:amd64 1.1.8-3.6
• libpam-modules-bin 1.1.8-3.6
• libpam-runtime 1.1.8-3.6
• libpango-1.0-0:amd64 1.40.5-1
• libpangocairo-1.0-0:amd64 1.40.5-1
• libpangoft2-1.0-0:amd64 1.40.5-1
• libpci3:amd64 1:3.5.2-1
• libpciaccess0:amd64 0.13.4-1+b2
• libpcre3:amd64 2:8.39-3
• libpcsclite1:amd64 1.8.20-1
• libpipeline1:amd64 1.4.1-2
• libpixman-1-0:amd64 0.34.0-1
• libpng16-16:amd64 1.6.28-1
• libpopt0:amd64 1.16-10+b2
• libprocps6:amd64 2:3.3.12-3+deb9u1
• libpsl5:amd64 0.17.0-3
• libpulse0:amd64 10.0-1+deb9u1
• libpython2.7-minimal:amd64 2.7.13-2+deb9u3
• libpython2.7-stdlib:amd64 2.7.13-2+deb9u3
• libpython-stdlib:amd64 2.7.13-2
• libqalculate5-data 0.9.7-9.2
• libqalculate5v5:amd64 0.9.7-9.2
• libquadmath0:amd64 6.3.0-18+deb9u1
• libre2-3:amd64 20170101+dfsg-1
• libreadline7:amd64 7.0-3
• librsvg2-2:amd64 2.40.16-1+b1
• librsvg2-common:amd64 2.40.16-1+b1
• librtmp1:amd64 2.4+20151223.gitfa8646d.1-1+b1
• libsamplerate0:amd64 0.1.8-8+b2
• libsasl2-2:amd64 2.1.27~101-g0780600+dfsg-3
• libsasl2-modules-db:amd64 2.1.27~101-g0780600+dfsg-3
• libseccomp2:amd64 2.3.1-2.1+deb9u1
• libselinux1:amd64 2.6-3+b3
• libsemanage1:amd64 2.6-2
• libsemanage-common 2.6-2
• libsensors4:amd64 1:3.4.0-4
• libsepol1:amd64 2.6-2
• libshine3:amd64 3.1.0-5
• libslang2:amd64 2.3.1-5
• libsm6:amd64 2:1.2.2-1+b3
• libsmartcols1:amd64 2.29.2-1+deb9u1
• libsnappy1v5:amd64 1.1.3-3
• libsndfile1:amd64 1.0.27-3
• libsoxr0:amd64 0.1.2-2
• libspeex1:amd64 1.2~rc1.2-1+b2
• libsqlite3-0:amd64 3.16.2-5+deb9u1
• libss2:amd64 1.43.4-2
• libssh2-1:amd64 1.7.0-1
• libssh-gcrypt-4:amd64 0.7.3-2+deb9u1
• libssl1.0.2:amd64 1.0.2q-1~deb9u1
• libssl1.1:amd64 1.1.0j-1~deb9u1
• libstdc++6:amd64 6.3.0-18+deb9u1
• libswresample2:amd64 7:3.2.12-1~deb9u1
• libsystemd0:amd64 232-25+deb9u6
• libtasn1-6:amd64 4.10-1.1+deb9u1
• libtext-charwidth-perl 0.04-7+b5
• libtext-iconv-perl 1.7-5+b4
• libtext-wrapi18n-perl 0.06-7.1
• libthai0:amd64 0.1.26-1
• libthai-data 0.1.26-1
• libtheora0:amd64 1.1.1+dfsg.1-14+b1
• libtiff5:amd64 4.0.8-2+deb9u4
• libtinfo5:amd64 6.0+20161126-1+deb9u2
• libtwolame0:amd64 0.3.13-2
• libudev1:amd64 232-25+deb9u6
• libunistring0:amd64 0.9.6+really0.9.3-0.1
• libusb-0.1-4:amd64 2:0.1.12-30
• libusb-1.0-0:amd64 2:1.0.21-1
• libustr-1.0-1:amd64 1.0.4-6
• libutempter0:amd64 1.1.6-3
• libuuid1:amd64 2.29.2-1+deb9u1
• libva1:amd64 1.7.3-2
• libva-drm1:amd64 1.7.3-2
• libva-x11-1:amd64 1.7.3-2
• libvdpau1:amd64 1.1.1-6
• libvorbis0a:amd64 1.3.5-4+deb9u2
• libvorbisenc2:amd64 1.3.5-4+deb9u2
• libvorbisfile3:amd64 1.3.5-4+deb9u2
• libvpx4:amd64 1.6.1-3+deb9u1
• libwacom2:amd64 0.22-1+b1
• libwacom-common 0.22-1
• libwavpack1:amd64 5.0.0-2+deb9u2
• libwayland-client0:amd64 1.12.0-1
• libwayland-server0:amd64 1.12.0-1
• libwebp6:amd64 0.5.2-1
• libwebpdemux2:amd64 0.5.2-1
• libwebpmux2:amd64 0.5.2-1
• libwrap0:amd64 7.6.q-26
• libx11-6:amd64 2:1.6.4-3+deb9u1
• libx11-data 2:1.6.4-3+deb9u1
• libx11-xcb1:amd64 2:1.6.4-3+deb9u1
• libx264-148:amd64 2:0.148.2748+git97eaef2-1
• libx265-95:amd64 2.1-2+b2
• libxapian30:amd64 1.4.3-2+deb9u2
• libxatracker2:amd64 13.0.6-1+b2
• libxau6:amd64 1:1.0.8-1
• libxaw7:amd64 2:1.0.13-1+b2
• libxcb1:amd64 1.12-1
• libxcb-dri2-0:amd64 1.12-1
• libxcb-dri3-0:amd64 1.12-1
• libxcb-glx0:amd64 1.12-1
• libxcb-present0:amd64 1.12-1
• libxcb-render0:amd64 1.12-1
• libxcb-shape0:amd64 1.12-1
• libxcb-shm0:amd64 1.12-1
• libxcb-sync1:amd64 1.12-1
• libxcb-xfixes0:amd64 1.12-1
• libxcomposite1:amd64 1:0.4.4-2
• libxcursor1:amd64 1:1.1.14-1+deb9u2
• libxdamage1:amd64 1:1.1.4-2+b3
• libxdmcp6:amd64 1:1.1.2-3
• libxdo3:amd64 1:3.20160805.1-3
• libxext6:amd64 2:1.3.3-1+b2
• libxfixes3:amd64 1:5.0.3-1
• libxfont2:amd64 1:2.0.1-3+deb9u1
• libxft2:amd64 2.3.2-1+b2
• libxi6:amd64 2:1.7.9-1
• libxinerama1:amd64 2:1.1.3-1+b3
• libxkbcommon0:amd64 0.7.1-2~deb9u1
• libxkbfile1:amd64 1:1.0.9-2
• libxml2:amd64 2.9.4+dfsg1-2.2+deb9u2
• libxmu6:amd64 2:1.1.2-2
• libxmuu1:amd64 2:1.1.2-2
• libxpm4:amd64 1:3.5.12-1
• libxrandr2:amd64 2:1.5.1-1
• libxrender1:amd64 1:0.9.10-1
• libxshmfence1:amd64 1.2-1+b2
• libxslt1.1:amd64 1.1.29-2.1
• libxss1:amd64 1:1.2.2-1
• libxt6:amd64 1:1.1.5-1
• libxtables12:amd64 1.6.0+snapshot20161117-6
• libxtst6:amd64 2:1.2.3-1
• libxv1:amd64 2:1.0.11-1
• libxvidcore4:amd64 2:1.3.4-1+b2
• libxxf86dga1:amd64 2:1.1.4-1+b3
• libxxf86vm1:amd64 1:1.1.4-1+b2
• libzvbi0:amd64 0.2.35-13
• libzvbi-common 0.2.35-13
• linux-base 4.5
• linux-image-4.9.0-8-amd64 4.9.130-2
• linux-image-amd64 4.9+80+deb9u6
• locales 2.24-11+deb9u3
• login 1:4.4-4.1
• logrotate 3.11.0-0.1
• lsb-base 9.20161125
• lsof 4.89+dfsg-0.1
• lxmenu-data 0.1.5-2
• lxtask 0.1.8-1
• man-db 2.7.6.1-2
• mawk 1.3.3-17+b3
• mc 3:4.8.18-1
• mc-data 3:4.8.18-1
• mdadm 3.4-4+b1
• menu 2.1.47+b1
• mime-support 3.60
• mount 2.29.2-1+deb9u1
• multiarch-support 2.24-11+deb9u3
• murrine-themes 0.98.11
• nano 2.7.4-1
• ncurses-base 6.0+20161126-1+deb9u2
• ncurses-bin 6.0+20161126-1+deb9u2
• netbase 5.4
• netcat 1.10-41
• netcat-traditional 1.10-41+b1
• net-tools 1.60+git20161116.90da8a0-1
• ntfs-3g 1:2016.2.22AR.1+dfsg-1
• ntpdate 1:4.2.8p10+dfsg-3+deb9u2
• openssh-client 1:7.4p1-10+deb9u4
• openssh-server 1:7.4p1-10+deb9u4
• openssh-sftp-server 1:7.4p1-10+deb9u4
• openssl 1.1.0j-1~deb9u1
• passwd 1:4.4-4.1
• pciutils 1:3.5.2-1
• pcmanfm 1.2.5-3
• perl-base 5.24.1-3+deb9u5
• pinentry-curses 1.0.0-2
• powermgmt-base 1.31+nmu1
• procps 2:3.3.12-3+deb9u1
• psmisc 22.21-2.1+b2
• python 2.7.13-2
• python2.7 2.7.13-2+deb9u3
• python2.7-minimal 2.7.13-2+deb9u3
• python-cairo 1.8.8-2.2
• python-dbus 1.2.4-1+b1
• python-gi 3.22.0-2
• python-glade2 2.24.0-5.1
• python-gobject-2 2.28.6-13
• python-gobject 3.22.0-2
• python-gtk2 2.24.0-5.1
• python-minimal 2.7.13-2
• python-numpy 1:1.12.1-3
• python-wicd 1.7.4+tb2-4
• qalc 0.9.7-9.2
• qalculate-gtk 0.9.7-6+b1
• readline-common 7.0-3
• rfkill 0.5-1+b1
• rsync 3.1.2-1+deb9u1
• rsyslog 8.24.0-1
• scrot 0.8-18
• sdparm 1.08-1+b1
• sed 4.4-1
• sensible-utils 0.0.9+deb9u1
• shared-mime-info 1.8-1+deb9u1
• smartmontools 6.5+svn4324-1
• squashfs-tools 1:4.3-3+deb9u1
• ssh 1:7.4p1-10+deb9u4
• systemd 232-25+deb9u6
• systemd-sysv 232-25+deb9u6
• sysvinit-utils 2.88dsf-59.9
• tar 1.29b-1.1
• tasksel 3.39
• tasksel-data 3.39
• tzdata 2018g-0+deb9u1
• ucf 3.0036
• udev 232-25+deb9u6
• unzip 6.0-21
• usbutils 1:007-4+b1
• util-linux 2.29.2-1+deb9u1
• volumeicon-alsa 0.4.6-2.2+b1
• wget 1.18-5+deb9u2
• whiptail 0.52.19-1+b1
• wicd 1.7.4+tb2-4
• wicd-daemon 1.7.4+tb2-4
• wicd-gtk 1.7.4+tb2-4
• wireless-tools 30~pre9-12+b1
• wmctrl 1.07-7+b1
• wpasupplicant 2:2.4-1+deb9u2
• x11-common 1:7.7+19
• x11-utils 7.7+3+b1
• x11-xkb-utils 7.7+3+b1
• xarchiver 1:0.5.4-7
• xauth 1:1.0.9-1+b2
• xbitmaps 1.1.1-2
• xdg-utils 1.1.1-1+deb9u1
• xdotool 1:3.20160805.1-3
• xinit 1.3.4-3+b1
• xkb-data 2.19-1+deb9u1
• xserver-common 2:1.19.2-1+deb9u5
• xserver-xorg 1:7.7+19
• xserver-xorg-core 2:1.19.2-1+deb9u5
• xserver-xorg-input-all 1:7.7+19
• xserver-xorg-input-libinput 0.23.0-2
• xserver-xorg-video-all 1:7.7+19
• xserver-xorg-video-amdgpu 1.2.0-1+b1
• xserver-xorg-video-ati 1:7.8.0-1+b1
• xserver-xorg-video-fbdev 1:0.4.4-1+b5
• xserver-xorg-video-nouveau 1:1.0.13-3
• xserver-xorg-video-radeon 1:7.8.0-1+b1
• xserver-xorg-video-vesa 1:2.3.4-1+b2
• xserver-xorg-video-vmware 1:13.2.1-1+b1
• xterm 327-2
• xxd 2:8.0.0197-4+deb9u1
• xz-utils 5.2.2-1.2+b1
• zip 3.0-11+b1
• zlib1g:amd64 1:1.2.8.dfsg-5

Ivo Giulio Gagliolo 2018-12-27 14:25

Hi Thomas,
Recently I've experienced some trubble with slax:

first i have an old pc with integrated intel 955g gpu, i've installed intel xorg driver and now it works but xserver doesnt start automaticlly so each time i start the pc i have to go to console, login as root and give the statX command...



second on another laptop, when i try to start slax from usb i have this error:
Core.sb
" mount: mounting dev/loop0 on /memory/union failed: Invalid argument"


any suggestion?

Вячеслав Волошин 2018-12-29 00:52

I updated the modules for 9.5.6.

New:
• RU_locale - with fbxkb
• obsession
• default-jre
• xfce4-screenshooter
• gparted
• keepassx
• nitroshare
• zim
• mpg123
• streamripper
• ffmpeg
• fbreader

I left the same:
• apulse
• wine
• turtlesport
• xnview
• viber - only with installed vlc
• openshot - only with installed vlc

As Appimages (there is also in the cloud):
• calibre
• firefox - only with apulse module
• gimp
• libreoffice
• transmission

As Portable:
• freefilesync
• gpsprune
• telegram
• palemoon

They are (as well as conf. files and several program under the wine, the last ones just put in the folder Program Files) - available on https://drive.google.com/open?id=1vnpx0G6RcoP32cHlrbXmODYdbUuQhpft

Вячеслав Волошин 2018-12-29 00:59

Oh, for 9.6.5. Happy New Year! :)

Вячеслав Волошин 2018-12-29 06:47

And for viber needed apulse

zz 2019-01-01 07:44

I copy the slax file to sda1, and then run the bootinst.sh , reboot got error:
* Looking for slax data in /slax ...........................
Fatal error occured - Could not locate slax data
_________
but the /slax is in here, why?
version is 9.6.5 32bit

Lukas Veselovsky 2019-01-01 10:18

i have similar problem with my asus vivobook, boot from USB key is OK, but when i copy to internal eMMC 32GB disk then Slax can not find data. Support for eMMC is not build in initrd?

Tomas M 2019-01-02 15:07

@Ivo Giulio Gagliolo
regarding xorg drivers, I'll have to add the forgotten intel xorg drivers to slax, please wait for new release. I'm not sure why you need startx manually, this is strange. Regarding problems with core.sb module, please try dmesg to see error messages reported by kernel, maybe there will be some hint.

@Lukas Veselovsky
yeah it is probable that there is no support for eMMC in initrd. Do you suggest any particular kernel module to load to make it work?

Ceel 2019-01-02 20:53

@ ... me ;)

I found the error I did ; now I can add/del module on the fly with the remount command.

I tryied the slax activate/deactivate <module> command too; much cooler!
Just a question: I meat an inexpected behavior (for me) with the deactivate function: the corresponding .sb file is deleted too if it is in /slax (ie 05-chromium.sb) or in /slax/modules. Is it a normal working?
This is not the case with the remount,del command.
No problem with modules that are in my /slax/sbonthefly directory, .sb files are kept.

A happy new year at all.

Vadim 2019-01-03 08:23

@ Thomas M
1) Has the NVME bug been fixed, where you cannot boot from nvme ssd due to driver missing from the kernel?
2) How can I remove unwanted icons from the desktop?

Thank you!

Вячеслав Волошин 2019-01-03 09:15

@ Vadim
2) How can I remove unwanted icons from the desktop?
= Русским языком вот здесь :) https://slax9.blogspot.com/p/blog-page_87.html
= edit /usr/share/applications/<filename>, add line: Hidden=true